<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__gpio_8c" kind="file" language="C++">
    <compoundname>cy_gpio.c</compoundname>
    <includes local="yes" refid="cy__gpio_8h">cy_gpio.h</includes>
      <sectiondef kind="define">
      <memberdef id="cy__gpio_8c_1afe3db82ea3cae3414c3dc97b01c9e370" kind="define" prot="public" static="no">
        <name>GPIO_AMUXA_SPLITTER_MASK</name>
        <initializer>(uint32_t)(HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SL_Msk \
                                              | HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SR_Msk \
                                              | HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_S0_Msk)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="33" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="33" />
      </memberdef>
      <memberdef id="cy__gpio_8c_1af8a61c95e431c8a9c9b2a98f8dce3c61" kind="define" prot="public" static="no">
        <name>GPIO_AMUXB_SPLITTER_MASK</name>
        <initializer>(uint32_t)(HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_SL_Msk \
                                              | HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_SR_Msk \
                                              | HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_S0_Msk)</initializer>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="38" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="38" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__gpio__functions__init_1gad61553f65d4e6bd827eb6464a7913461" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__gpio__enums_1ga0ba12c6f18fa9e356ceea0218beb7259">cy_en_gpio_status_t</ref></type>
        <definition>cy_en_gpio_status_t Cy_GPIO_Pin_Init</definition>
        <argsstring>(GPIO_PRT_Type *base, uint32_t pinNum, const cy_stc_gpio_pin_config_t *config)</argsstring>
        <name>Cy_GPIO_Pin_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>pinNum</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__gpio__pin__config__t">cy_stc_gpio_pin_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initializes all pin configuration settings for the specified pin. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the pin's port register base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>pinNum</parametername>
</parameternamelist>
<parameterdescription>
<para>Position of the pin bit-field within the port register</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the pin config structure base address</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Initialization status</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function modifies port registers in read-modify-write operations. It is not thread safe as the resource is shared among multiple pins on a port.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__gpio__pin__config__t">cy_stc_gpio_pin_config_t</ref><sp />pinConfig<sp />=<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.outVal<sp />=*/</highlight><highlight class="normal"><sp />1UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Output<sp />=<sp />High<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.driveMode<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__drive_modes_1ga822f7d73072811b69a754d70806247b9">CY_GPIO_DM_PULLUP</ref>,<sp /></highlight><highlight class="comment">/*<sp />Resistive<sp />pull-up,<sp />input<sp />buffer<sp />on<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.hsiom<sp />=*/</highlight><highlight class="normal"><sp />P0_3_GPIO,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Software<sp />controlled<sp />pin<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intEdge<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__interrupt_trigger_1gafbaa3f5dff9b5689cdb43bb07c7c6fef">CY_GPIO_INTR_RISING</ref>,<sp /></highlight><highlight class="comment">/*<sp />Rising<sp />edge<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intMask<sp />=*/</highlight><highlight class="normal"><sp />1UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />port<sp />interrupt<sp />for<sp />this<sp />pin<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vtrip<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__vtrip_1ga0eb9d3f41338feae28103e8a8c302ba0">CY_GPIO_VTRIP_CMOS</ref>,<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CMOS<sp />voltage<sp />trip<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.slewRate<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__slew_rate_1gabb43620358101afd1663376cb3ba19b4">CY_GPIO_SLEW_FAST</ref>,<sp /><sp /></highlight><highlight class="comment">/*<sp />Fast<sp />slew<sp />rate<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.driveSel<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__drive_strength_1ga203ca4e69600122e76e45dbaa2f013fb">CY_GPIO_DRIVE_FULL</ref>,<sp /></highlight><highlight class="comment">/*<sp />Full<sp />drive<sp />strength<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vregEn<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />SIO-specific<sp />setting<sp />-<sp />ignored<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.ibufMode<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />SIO-specific<sp />setting<sp />-<sp />ignored<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vtripSel<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />SIO-specific<sp />setting<sp />-<sp />ignored<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vrefSel<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />SIO-specific<sp />setting<sp />-<sp />ignored<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.vohSel<sp />=*/</highlight><highlight class="normal"><sp />0UL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />SIO-specific<sp />setting<sp />-<sp />ignored<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />pin<sp />P0.3<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259ac12fe3dac92e654617ce1a0cda34c0b0">CY_GPIO_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gad61553f65d4e6bd827eb6464a7913461">Cy_GPIO_Pin_Init</ref>(P0_3_PORT,<sp />P0_3_NUM,<sp />&amp;pinConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="123" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="70" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__gpio__functions__init_1gaece2166923613cf7abb536d8a05bfd45" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__gpio__enums_1ga0ba12c6f18fa9e356ceea0218beb7259">cy_en_gpio_status_t</ref></type>
        <definition>cy_en_gpio_status_t Cy_GPIO_Port_Init</definition>
        <argsstring>(GPIO_PRT_Type *base, const cy_stc_gpio_prt_config_t *config)</argsstring>
        <name>Cy_GPIO_Port_Init</name>
        <param>
          <type><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__gpio__prt__config__t">cy_stc_gpio_prt_config_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Initialize a complete port of pins from a single init structure. </para>        </briefdescription>
        <detaileddescription>
<para>The configuration structure used in this function has a 1:1 mapping to the GPIO and HSIOM registers. Refer to the device Technical Reference Manual (TRM) for the register details on how to populate them.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the pin's port register base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the pin config structure base address</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Initialization status</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;If using the PSoC Creator IDE, there is no need to initialize the pins when using the GPIO component on the schematic. Ports are configured in Cy_SystemInit() before main() entry.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__gpio__prt__config__t">cy_stc_gpio_prt_config_t</ref><sp />portConfig<sp />=<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.out<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=*/</highlight><highlight class="normal"><sp />0x00000008u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX.3<sp />output<sp />=<sp />1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intrMask<sp /><sp /><sp />=*/</highlight><highlight class="normal"><sp />0x00000008u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX.3<sp />interrupt<sp />enabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intrCfg<sp /><sp /><sp /><sp />=*/</highlight><highlight class="normal"><sp />0x00000040u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX.3<sp />rising<sp />edge<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.cfg<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=*/</highlight><highlight class="normal"><sp />0x0000A000u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX.3<sp />resistive<sp />pull-up<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.cfgIn<sp /><sp /><sp /><sp /><sp /><sp />=*/</highlight><highlight class="normal"><sp />0x00000000u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX[7:0]<sp />CMOS<sp />trip<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.cfgOut<sp /><sp /><sp /><sp /><sp />=*/</highlight><highlight class="normal"><sp />0x00000000u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX[7:0]<sp />Fast<sp />slew<sp />rate,<sp />full<sp />drive<sp />strength<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.cfgSIO<sp /><sp /><sp /><sp /><sp />=*/</highlight><highlight class="normal"><sp />0x00000000u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX[7:0]<sp />ignored<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.sel0Active<sp />=*/</highlight><highlight class="normal"><sp />0x00000000u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX[3:0]<sp />Software<sp />controlled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.sel1Active<sp />=*/</highlight><highlight class="normal"><sp />0x00000000u,<sp /><sp /></highlight><highlight class="comment">/*<sp />PX[7:4]<sp />Software<sp />controlled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />GPIO<sp />port<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259ac12fe3dac92e654617ce1a0cda34c0b0">CY_GPIO_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gaece2166923613cf7abb536d8a05bfd45">Cy_GPIO_Port_Init</ref>(GPIO_PRT0,<sp />&amp;portConfig))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="187" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="154" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="154" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__gpio__functions__init_1gaf57c501727276013d3e8974a9fb7d0a7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_GPIO_Pin_FastInit</definition>
        <argsstring>(GPIO_PRT_Type *base, uint32_t pinNum, uint32_t driveMode, uint32_t outVal, en_hsiom_sel_t hsiom)</argsstring>
        <name>Cy_GPIO_Pin_FastInit</name>
        <param>
          <type><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>pinNum</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>driveMode</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>outVal</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__gpio__enums_1ga678dc02e490d04efdcfec78648899ce4">en_hsiom_sel_t</ref></type>
          <declname>hsiom</declname>
        </param>
        <briefdescription>
<para>Initialize the most common configuration settings for all pin types. </para>        </briefdescription>
        <detaileddescription>
<para>These include, drive mode, initial output value, and HSIOM connection.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the pin's port register base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>pinNum</parametername>
</parameternamelist>
<parameterdescription>
<para>Position of the pin bit-field within the port register</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>driveMode</parametername>
</parameternamelist>
<parameterdescription>
<para>Pin drive mode. Options are detailed in <ref kindref="compound" refid="group__group__gpio__drive_modes">Pin drive mode</ref> macros</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>outVal</parametername>
</parameternamelist>
<parameterdescription>
<para>Logic state of the output buffer driven to the pin (1 or 0)</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>hsiom</parametername>
</parameternamelist>
<parameterdescription>
<para>HSIOM input selection</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function modifies port registers in read-modify-write operations. It is not thread safe as the resource is shared among multiple pins on a port. You can use the &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1gae679f15a1702c159c105b596a8801105"&gt;Cy_SysLib_EnterCriticalSection()&lt;/a&gt; and &lt;a href="group__group__syslib__functions.html#group__group__syslib__functions_1ga8c16343c075610b2888b0693f972b555"&gt;Cy_SysLib_ExitCriticalSection()&lt;/a&gt; functions to ensure that &lt;a href="group__group__gpio__functions__init.html#group__group__gpio__functions__init_1gaf57c501727276013d3e8974a9fb7d0a7"&gt;Cy_GPIO_Pin_FastInit()&lt;/a&gt; function execution is not interrupted.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Quickly<sp />initialize<sp />pin<sp />P0.3<sp />(e.g.<sp />quickly<sp />set<sp />up<sp />a<sp />test<sp />LED)<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gaf57c501727276013d3e8974a9fb7d0a7">Cy_GPIO_Pin_FastInit</ref>(P0_3_PORT,<sp />P0_3_NUM,<sp /><ref kindref="member" refid="group__group__gpio__drive_modes_1ga822f7d73072811b69a754d70806247b9">CY_GPIO_DM_PULLUP</ref>,<sp />1UL,<sp />P0_3_GPIO);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="241" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="224" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="224" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__gpio__functions__init_1gad996e3e1fc44d28611e9b83fc025994b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_GPIO_Port_Deinit</definition>
        <argsstring>(GPIO_PRT_Type *base)</argsstring>
        <name>Cy_GPIO_Port_Deinit</name>
        <param>
          <type><ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Reset a complete port of pins back to power on reset defaults. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the pin's port register base address</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />GPIO<sp />port<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__gpio__functions__init_1gaece2166923613cf7abb536d8a05bfd45">Cy_GPIO_Port_Init</ref>(GPIO_PRT0,<sp />&amp;portConfig);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />port<sp />is<sp />no<sp />longer<sp />used<sp />or<sp />needs<sp />to<sp />be<sp />disabled<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Reset<sp />the<sp />GPIO<sp />port<sp />0<sp />to<sp />Power-On-Reset<sp />values<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gad996e3e1fc44d28611e9b83fc025994b">Cy_GPIO_Port_Deinit</ref>(GPIO_PRT0);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="274" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="257" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="257" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__gpio__functions__gpio_1ga8d7972a161fe097a01a55f9cd31b1f03" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_GPIO_SetAmuxSplit</definition>
        <argsstring>(cy_en_amux_split_t switchCtrl, cy_en_gpio_amuxconnect_t amuxConnect, cy_en_gpio_amuxselect_t amuxBus)</argsstring>
        <name>Cy_GPIO_SetAmuxSplit</name>
        <param>
          <type>cy_en_amux_split_t</type>
          <declname>switchCtrl</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__gpio__enums_1gaf794ce2cae36756be0cccfcd2c6ab077">cy_en_gpio_amuxconnect_t</ref></type>
          <declname>amuxConnect</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__gpio__enums_1gae2449cca47330934a26281d8f3cba110">cy_en_gpio_amuxselect_t</ref></type>
          <declname>amuxBus</declname>
        </param>
        <briefdescription>
<para>Configure a specific AMux bus splitter switch cell into a specific configuration. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>switchCtrl</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects specific AMux bus splitter cell between two segments. The cy_en_amux_split_t enumeration can be found in the GPIO header file for the device package.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>amuxConnect</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects configuration of the three switches within the splitter cell</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>amuxBus</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects which AMux bus within the splitter is being configured </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="316" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="296" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="296" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__gpio__functions__gpio_1ga52c69476c1755f4d60b491862f10f68c" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__gpio__enums_1gaf794ce2cae36756be0cccfcd2c6ab077">cy_en_gpio_amuxconnect_t</ref></type>
        <definition>cy_en_gpio_amuxconnect_t Cy_GPIO_GetAmuxSplit</definition>
        <argsstring>(cy_en_amux_split_t switchCtrl, cy_en_gpio_amuxselect_t amuxBus)</argsstring>
        <name>Cy_GPIO_GetAmuxSplit</name>
        <param>
          <type>cy_en_amux_split_t</type>
          <declname>switchCtrl</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__gpio__enums_1gae2449cca47330934a26281d8f3cba110">cy_en_gpio_amuxselect_t</ref></type>
          <declname>amuxBus</declname>
        </param>
        <briefdescription>
<para>Returns the configuration of a specific AMux bus splitter switch cell. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>switchCtrl</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects specific AMux bus splitter cell between two segments. The cy_en_amux_split_t enumeration can be found in the GPIO header file for the device package.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>amuxBus</parametername>
</parameternamelist>
<parameterdescription>
<para>Selects which AMux bus within the splitter is being configured</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Returns configuration of the three switches in the selected splitter cell </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="355" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" bodystart="337" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" line="337" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.20.1</para></simplesect>
Provides an API implementation of the GPIO driver</para><para><simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="25"><highlight class="preprocessor">#include<sp />"cy_gpio.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="26"><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="30"><highlight class="normal" /></codeline>
<codeline lineno="31"><highlight class="normal" /></codeline>
<codeline lineno="32"><highlight class="normal" /><highlight class="comment">/*<sp />Define<sp />for<sp />AMUX<sp />A<sp />splitters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="33"><highlight class="normal" /><highlight class="preprocessor">#define<sp />GPIO_AMUXA_SPLITTER_MASK<sp /><sp /><sp /><sp /><sp />(uint32_t)(HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SL_Msk<sp />\</highlight></codeline>
<codeline lineno="34"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_SR_Msk<sp />\</highlight></codeline>
<codeline lineno="35"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_AA_S0_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="36"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="normal" /><highlight class="comment">/*<sp />Define<sp />for<sp />AMUX<sp />B<sp />splitters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="38"><highlight class="normal" /><highlight class="preprocessor">#define<sp />GPIO_AMUXB_SPLITTER_MASK<sp /><sp /><sp /><sp /><sp />(uint32_t)(HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_SL_Msk<sp />\</highlight></codeline>
<codeline lineno="39"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_SR_Msk<sp />\</highlight></codeline>
<codeline lineno="40"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_S0_Msk)</highlight><highlight class="normal" /></codeline>
<codeline lineno="41"><highlight class="normal" /></codeline>
<codeline lineno="42"><highlight class="normal" /></codeline>
<codeline lineno="43"><highlight class="normal" /></codeline>
<codeline lineno="44"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="45"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_GPIO_Pin_Init</highlight></codeline>
<codeline lineno="46"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><ref kindref="member" refid="group__group__gpio__enums_1ga0ba12c6f18fa9e356ceea0218beb7259">cy_en_gpio_status_t</ref><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gad61553f65d4e6bd827eb6464a7913461">Cy_GPIO_Pin_Init</ref>(<ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref><sp />*base,<sp />uint32_t<sp />pinNum,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__gpio__pin__config__t">cy_stc_gpio_pin_config_t</ref><sp />*config)</highlight></codeline>
<codeline lineno="71"><highlight class="normal">{</highlight></codeline>
<codeline lineno="72"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__enums_1ga0ba12c6f18fa9e356ceea0218beb7259">cy_en_gpio_status_t</ref><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259aae4105d35a3e7596ab55977a283b474b">CY_GPIO_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="73"><highlight class="normal" /></codeline>
<codeline lineno="74"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((NULL<sp />!=<sp />base)<sp />&amp;&amp;<sp />(NULL<sp />!=<sp />config))</highlight></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />maskCfgOut;</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />tempReg;</highlight></codeline>
<codeline lineno="78"><highlight class="normal" /></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_PIN_VALID(pinNum));</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1ae39ff5dc65ffef2808a0183f23691389">outVal</ref>));</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_DM_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a6f1ce86e05635f3d78fb4727d907d0aa">driveMode</ref>));</highlight></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_HSIOM_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1af8a4f6b10a8e655125dfafd511c7af6e">hsiom</ref>));</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_INT_EDGE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a224590619198ad520a196319b618deda">intEdge</ref>));</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a8c72a6f2afbf548e8680101565cf4425">intMask</ref>));</highlight></codeline>
<codeline lineno="85"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a7814ef8c93a369b03c6e4c1005c2e601">vtrip</ref>));</highlight></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1aa43f5365da64dd51783d98f06edeb300">slewRate</ref>));</highlight></codeline>
<codeline lineno="87"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_DRIVE_SEL_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a084319c0dbc75d9204c93af3fbcf98eb">driveSel</ref>));</highlight></codeline>
<codeline lineno="88"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1acad3656e105f0d387353f1054e67e2b2">vregEn</ref>));</highlight></codeline>
<codeline lineno="89"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1ac81f30a52ad1fa519a37bca4555f756b">ibufMode</ref>));</highlight></codeline>
<codeline lineno="90"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1aa4cc8c41ddc1a81f1b70c22bb9284a89">vtripSel</ref>));</highlight></codeline>
<codeline lineno="91"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VREF_SEL_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a4bb7bdbf8e3df5475582113e02e63bc0">vrefSel</ref>));</highlight></codeline>
<codeline lineno="92"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VOH_SEL_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a5af07673aa0c34dafa660f6975bad826">vohSel</ref>));</highlight></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__gpio_1ga849c813d6771bf8d3c59b89b28a07bca">Cy_GPIO_Write</ref>(base,<sp />pinNum,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1ae39ff5dc65ffef2808a0183f23691389">outVal</ref>);</highlight></codeline>
<codeline lineno="95"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__gpio_1ga97e64dc8c45e7cd73e3012100d03b1fd">Cy_GPIO_SetDrivemode</ref>(base,<sp />pinNum,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a6f1ce86e05635f3d78fb4727d907d0aa">driveMode</ref>);</highlight></codeline>
<codeline lineno="96"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1ga83a06264feed0e1042671a74339ea155">Cy_GPIO_SetHSIOM</ref>(base,<sp />pinNum,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1af8a4f6b10a8e655125dfafd511c7af6e">hsiom</ref>);</highlight></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__interrupt_1ga0f6123cf8373c2a0c8baf902ecd2e38f">Cy_GPIO_SetInterruptEdge</ref>(base,<sp />pinNum,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a224590619198ad520a196319b618deda">intEdge</ref>);</highlight></codeline>
<codeline lineno="99"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__interrupt_1gaadaa24997de59580bdaf72f26006730a">Cy_GPIO_SetInterruptMask</ref>(base,<sp />pinNum,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a8c72a6f2afbf548e8680101565cf4425">intMask</ref>);</highlight></codeline>
<codeline lineno="100"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__gpio_1gad0b222c535e32dadcd0ac536ac25c01a">Cy_GPIO_SetVtrip</ref>(base,<sp />pinNum,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a7814ef8c93a369b03c6e4c1005c2e601">vtrip</ref>);</highlight></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="102"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Slew<sp />rate<sp />and<sp />Driver<sp />strength<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />maskCfgOut<sp />=<sp />(CY_GPIO_CFG_OUT_SLOW_MASK<sp />&lt;&lt;<sp />pinNum)</highlight></codeline>
<codeline lineno="104"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />(CY_GPIO_CFG_OUT_DRIVE_SEL_MASK<sp />&lt;&lt;<sp />((uint32_t)(pinNum<sp />&lt;&lt;<sp />1U)<sp />+<sp />CY_GPIO_CFG_OUT_DRIVE_OFFSET));</highlight></codeline>
<codeline lineno="105"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tempReg<sp />=<sp />GPIO_PRT_CFG_OUT(base)<sp />&amp;<sp />~(maskCfgOut);</highlight></codeline>
<codeline lineno="106"><highlight class="normal" /></codeline>
<codeline lineno="107"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_CFG_OUT(base)<sp />=<sp />tempReg<sp />|<sp />((config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1aa43f5365da64dd51783d98f06edeb300">slewRate</ref><sp />&amp;<sp />CY_GPIO_CFG_OUT_SLOW_MASK)<sp />&lt;&lt;<sp />pinNum)</highlight></codeline>
<codeline lineno="108"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />((config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a084319c0dbc75d9204c93af3fbcf98eb">driveSel</ref><sp />&amp;<sp />CY_GPIO_CFG_OUT_DRIVE_SEL_MASK)<sp />&lt;&lt;<sp />((uint32_t)(pinNum<sp />&lt;&lt;<sp />1U)<sp />+<sp />CY_GPIO_CFG_OUT_DRIVE_OFFSET));</highlight></codeline>
<codeline lineno="109"><highlight class="normal" /></codeline>
<codeline lineno="110"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />SIO<sp />specific<sp />configuration<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tempReg<sp />=<sp />GPIO_PRT_CFG_SIO(base)<sp />&amp;<sp />~(CY_GPIO_SIO_PIN_MASK);</highlight></codeline>
<codeline lineno="112"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_CFG_SIO(base)<sp />=<sp />tempReg<sp />|<sp />(((config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1acad3656e105f0d387353f1054e67e2b2">vregEn</ref><sp />&amp;<sp />CY_GPIO_VREG_EN_MASK)</highlight></codeline>
<codeline lineno="113"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />((config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1ac81f30a52ad1fa519a37bca4555f756b">ibufMode</ref><sp />&amp;<sp />CY_GPIO_IBUF_MASK)<sp />&lt;&lt;<sp />CY_GPIO_IBUF_SHIFT)</highlight></codeline>
<codeline lineno="114"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />((config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1aa4cc8c41ddc1a81f1b70c22bb9284a89">vtripSel</ref><sp />&amp;<sp />CY_GPIO_VTRIP_SEL_MASK)<sp />&lt;&lt;<sp />CY_GPIO_VTRIP_SEL_SHIFT)</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />((config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a4bb7bdbf8e3df5475582113e02e63bc0">vrefSel</ref><sp />&amp;<sp />CY_GPIO_VREF_SEL_MASK)<sp /><sp />&lt;&lt;<sp />CY_GPIO_VREF_SEL_SHIFT)</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />((config-&gt;<ref kindref="member" refid="structcy__stc__gpio__pin__config__t_1a5af07673aa0c34dafa660f6975bad826">vohSel</ref><sp />&amp;<sp />CY_GPIO_VOH_SEL_MASK)<sp />&lt;&lt;<sp />CY_GPIO_VOH_SEL_SHIFT))</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />&lt;&lt;<sp />((pinNum<sp />&amp;<sp />CY_GPIO_SIO_ODD_PIN_MASK)<sp />&lt;&lt;<sp />CY_GPIO_CFG_SIO_OFFSET));</highlight></codeline>
<codeline lineno="118"><highlight class="normal" /></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259ac12fe3dac92e654617ce1a0cda34c0b0">CY_GPIO_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="121"><highlight class="normal" /></codeline>
<codeline lineno="122"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal">(status);</highlight></codeline>
<codeline lineno="123"><highlight class="normal">}</highlight></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="125"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="127"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_GPIO_Port_Init</highlight></codeline>
<codeline lineno="128"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="154"><highlight class="normal"><ref kindref="member" refid="group__group__gpio__enums_1ga0ba12c6f18fa9e356ceea0218beb7259">cy_en_gpio_status_t</ref><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gaece2166923613cf7abb536d8a05bfd45">Cy_GPIO_Port_Init</ref>(<ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref>*<sp />base,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__gpio__prt__config__t">cy_stc_gpio_prt_config_t</ref><sp />*config)</highlight></codeline>
<codeline lineno="155"><highlight class="normal">{</highlight></codeline>
<codeline lineno="156"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__enums_1ga0ba12c6f18fa9e356ceea0218beb7259">cy_en_gpio_status_t</ref><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259aae4105d35a3e7596ab55977a283b474b">CY_GPIO_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((NULL<sp />!=<sp />base)<sp />&amp;&amp;<sp />(NULL<sp />!=<sp />config))</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />portNum;</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />HSIOM_PRT_V1_Type*<sp />baseHSIOM;</highlight></codeline>
<codeline lineno="162"><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_PIN_BIT_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a3ad84c6941c092aeb4b7d04b0727f58c">out</ref>));</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_PIN_BIT_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a123b2b27c47fba1ebea339fa1e657f9d">cfgIn</ref>));</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_INTR_CFG_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a48aff556861a97796f9e8aa9dbdc8e64">intrCfg</ref>));</highlight></codeline>
<codeline lineno="166"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_INTR_MASK_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a9245446d3c67ef24680e7efa14a8a123">intrMask</ref>));</highlight></codeline>
<codeline lineno="167"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_SEL_ACT_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1acaf2429c91f5de7f64f6b007c00ed35d">sel0Active</ref>));</highlight></codeline>
<codeline lineno="168"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_SEL_ACT_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a512073c3eb872e2b7d53a5e43ee6aef5">sel1Active</ref>));</highlight></codeline>
<codeline lineno="169"><highlight class="normal" /></codeline>
<codeline lineno="170"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />portNum<sp />=<sp />((uint32_t)(base)<sp />-<sp />CY_GPIO_BASE)<sp />/<sp />GPIO_PRT_SECTION_SIZE;</highlight></codeline>
<codeline lineno="171"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />baseHSIOM<sp />=<sp />(HSIOM_PRT_V1_Type*)(CY_HSIOM_BASE<sp />+<sp />(HSIOM_PRT_SECTION_SIZE<sp />*<sp />portNum));</highlight></codeline>
<codeline lineno="172"><highlight class="normal" /></codeline>
<codeline lineno="173"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_OUT(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a3ad84c6941c092aeb4b7d04b0727f58c">out</ref>;</highlight></codeline>
<codeline lineno="174"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_CFG(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a4a168a4cb7fbd62bb5b5c4016369e819">cfg</ref>;</highlight></codeline>
<codeline lineno="175"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_CFG_IN(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a123b2b27c47fba1ebea339fa1e657f9d">cfgIn</ref>;</highlight></codeline>
<codeline lineno="176"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_CFG_OUT(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a762edbdcbfa88173e805a8577b33c52f">cfgOut</ref>;</highlight></codeline>
<codeline lineno="177"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_INTR_CFG(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a48aff556861a97796f9e8aa9dbdc8e64">intrCfg</ref>;</highlight></codeline>
<codeline lineno="178"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_INTR_MASK(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a9245446d3c67ef24680e7efa14a8a123">intrMask</ref>;</highlight></codeline>
<codeline lineno="179"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />GPIO_PRT_CFG_SIO(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a3d8fa53684ea40041db124e3da5412db">cfgSIO</ref>;</highlight></codeline>
<codeline lineno="180"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />HSIOM_PRT_PORT_SEL0(baseHSIOM)<sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1acaf2429c91f5de7f64f6b007c00ed35d">sel0Active</ref>;</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />HSIOM_PRT_PORT_SEL1(baseHSIOM)<sp />=<sp />config-&gt;<ref kindref="member" refid="structcy__stc__gpio__prt__config__t_1a512073c3eb872e2b7d53a5e43ee6aef5">sel1Active</ref>;</highlight></codeline>
<codeline lineno="182"><highlight class="normal" /></codeline>
<codeline lineno="183"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__gpio__enums_1gga0ba12c6f18fa9e356ceea0218beb7259ac12fe3dac92e654617ce1a0cda34c0b0">CY_GPIO_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="184"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="185"><highlight class="normal" /></codeline>
<codeline lineno="186"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(status);</highlight></codeline>
<codeline lineno="187"><highlight class="normal">}</highlight></codeline>
<codeline lineno="188"><highlight class="normal" /></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="190"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="191"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_GPIO_Pin_FastInit</highlight></codeline>
<codeline lineno="192"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="224"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gaf57c501727276013d3e8974a9fb7d0a7">Cy_GPIO_Pin_FastInit</ref>(<ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref>*<sp />base,<sp />uint32_t<sp />pinNum,<sp />uint32_t<sp />driveMode,</highlight></codeline>
<codeline lineno="225"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />outVal,<sp /><ref kindref="member" refid="group__group__gpio__enums_1ga678dc02e490d04efdcfec78648899ce4">en_hsiom_sel_t</ref><sp />hsiom)</highlight></codeline>
<codeline lineno="226"><highlight class="normal">{</highlight></codeline>
<codeline lineno="227"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_PIN_VALID(pinNum));</highlight></codeline>
<codeline lineno="228"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_DM_VALID(driveMode));</highlight></codeline>
<codeline lineno="229"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_VALUE_VALID(outVal));</highlight></codeline>
<codeline lineno="230"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_HSIOM_VALID(hsiom));</highlight></codeline>
<codeline lineno="231"><highlight class="normal" /></codeline>
<codeline lineno="232"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />tempReg;</highlight></codeline>
<codeline lineno="233"><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp />tempReg<sp />=<sp />(GPIO_PRT_OUT(base)<sp />&amp;<sp />~(CY_GPIO_OUT_MASK<sp />&lt;&lt;<sp />pinNum));</highlight></codeline>
<codeline lineno="235"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_OUT(base)<sp />=<sp />tempReg<sp />|<sp />((outVal<sp />&amp;<sp />CY_GPIO_OUT_MASK)<sp />&lt;&lt;<sp />pinNum);</highlight></codeline>
<codeline lineno="236"><highlight class="normal" /></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp />tempReg<sp />=<sp />(GPIO_PRT_CFG(base)<sp />&amp;<sp />~(CY_GPIO_CFG_DM_MASK<sp />&lt;&lt;<sp />(pinNum<sp />&lt;&lt;<sp />CY_GPIO_DRIVE_MODE_OFFSET)));</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_CFG(base)<sp />=<sp />tempReg<sp />|<sp />((driveMode<sp />&amp;<sp />CY_GPIO_CFG_DM_MASK)<sp />&lt;&lt;<sp />(pinNum<sp />&lt;&lt;<sp />CY_GPIO_DRIVE_MODE_OFFSET));</highlight></codeline>
<codeline lineno="239"><highlight class="normal" /></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1ga83a06264feed0e1042671a74339ea155">Cy_GPIO_SetHSIOM</ref>(base,<sp />pinNum,<sp />hsiom);</highlight></codeline>
<codeline lineno="241"><highlight class="normal">}</highlight></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="245"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_GPIO_Port_Deinit</highlight></codeline>
<codeline lineno="246"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="257"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__functions__init_1gad996e3e1fc44d28611e9b83fc025994b">Cy_GPIO_Port_Deinit</ref>(<ref kindref="compound" refid="struct_g_p_i_o___p_r_t___type">GPIO_PRT_Type</ref>*<sp />base)</highlight></codeline>
<codeline lineno="258"><highlight class="normal">{</highlight></codeline>
<codeline lineno="259"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />portNum;</highlight></codeline>
<codeline lineno="260"><highlight class="normal"><sp /><sp /><sp /><sp />HSIOM_PRT_V1_Type*<sp />baseHSIOM;</highlight></codeline>
<codeline lineno="261"><highlight class="normal" /></codeline>
<codeline lineno="262"><highlight class="normal"><sp /><sp /><sp /><sp />portNum<sp />=<sp />((uint32_t)(base)<sp />-<sp />CY_GPIO_BASE)<sp />/<sp />GPIO_PRT_SECTION_SIZE;</highlight></codeline>
<codeline lineno="263"><highlight class="normal"><sp /><sp /><sp /><sp />baseHSIOM<sp />=<sp />(HSIOM_PRT_V1_Type*)(CY_HSIOM_BASE<sp />+<sp />(HSIOM_PRT_SECTION_SIZE<sp />*<sp />portNum));</highlight></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="265"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_OUT(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="266"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_CFG(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="267"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_CFG_IN(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="268"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_CFG_OUT(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="269"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_INTR_CFG(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="270"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_INTR_MASK(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="271"><highlight class="normal"><sp /><sp /><sp /><sp />GPIO_PRT_CFG_SIO(base)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="272"><highlight class="normal"><sp /><sp /><sp /><sp />HSIOM_PRT_PORT_SEL0(baseHSIOM)<sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="273"><highlight class="normal"><sp /><sp /><sp /><sp />HSIOM_PRT_PORT_SEL1(baseHSIOM)<sp />=<sp />CY_GPIO_PRT_DEINIT;</highlight></codeline>
<codeline lineno="274"><highlight class="normal">}</highlight></codeline>
<codeline lineno="275"><highlight class="normal" /></codeline>
<codeline lineno="276"><highlight class="normal" /></codeline>
<codeline lineno="277"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="278"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_GPIO_SetAmuxSplit</highlight></codeline>
<codeline lineno="279"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="296"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__gpio__functions__gpio_1ga8d7972a161fe097a01a55f9cd31b1f03">Cy_GPIO_SetAmuxSplit</ref>(cy_en_amux_split_t<sp />switchCtrl,<sp /><ref kindref="member" refid="group__group__gpio__enums_1gaf794ce2cae36756be0cccfcd2c6ab077">cy_en_gpio_amuxconnect_t</ref><sp />amuxConnect,</highlight></codeline>
<codeline lineno="297"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__gpio__enums_1gae2449cca47330934a26281d8f3cba110">cy_en_gpio_amuxselect_t</ref><sp />amuxBus)</highlight></codeline>
<codeline lineno="298"><highlight class="normal">{</highlight></codeline>
<codeline lineno="299"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_AMUX_SPLIT_VALID(switchCtrl));</highlight></codeline>
<codeline lineno="300"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_GPIO_IS_AMUX_CONNECT_VALID(amuxConnect));</highlight></codeline>
<codeline lineno="301"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_GPIO_IS_AMUX_SELECT_VALID(amuxBus));</highlight></codeline>
<codeline lineno="302"><highlight class="normal" /></codeline>
<codeline lineno="303"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />tmpReg;</highlight></codeline>
<codeline lineno="304"><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(amuxBus<sp />!=<sp /><ref kindref="member" refid="group__group__gpio__enums_1ggae2449cca47330934a26281d8f3cba110abb3e9d215c8af4ed0b07feef90abc90f">CY_GPIO_AMUXBUSB</ref>)</highlight></codeline>
<codeline lineno="306"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="307"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpReg<sp />=<sp />HSIOM_AMUX_SPLIT_CTL(switchCtrl)<sp />&amp;<sp />GPIO_AMUXB_SPLITTER_MASK;</highlight></codeline>
<codeline lineno="308"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />HSIOM_AMUX_SPLIT_CTL(switchCtrl)<sp />=<sp />tmpReg<sp />|<sp />((uint32_t)<sp />amuxConnect<sp />&amp;<sp />GPIO_AMUXA_SPLITTER_MASK);</highlight></codeline>
<codeline lineno="309"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="310"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="311"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="312"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpReg<sp />=<sp />HSIOM_AMUX_SPLIT_CTL(switchCtrl)<sp />&amp;<sp />GPIO_AMUXA_SPLITTER_MASK;</highlight></codeline>
<codeline lineno="313"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />HSIOM_AMUX_SPLIT_CTL(switchCtrl)<sp />=</highlight></codeline>
<codeline lineno="314"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tmpReg<sp />|<sp />(((uint32_t)<sp />amuxConnect<sp />&lt;&lt;<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_SL_Pos)<sp />&amp;<sp />GPIO_AMUXB_SPLITTER_MASK);</highlight></codeline>
<codeline lineno="315"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="316"><highlight class="normal">}</highlight></codeline>
<codeline lineno="317"><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="320"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_GPIO_GetAmuxSplit</highlight></codeline>
<codeline lineno="321"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="337"><highlight class="normal"><ref kindref="member" refid="group__group__gpio__enums_1gaf794ce2cae36756be0cccfcd2c6ab077">cy_en_gpio_amuxconnect_t</ref><sp /><ref kindref="member" refid="group__group__gpio__functions__gpio_1ga52c69476c1755f4d60b491862f10f68c">Cy_GPIO_GetAmuxSplit</ref>(cy_en_amux_split_t<sp />switchCtrl,<sp /><ref kindref="member" refid="group__group__gpio__enums_1gae2449cca47330934a26281d8f3cba110">cy_en_gpio_amuxselect_t</ref><sp />amuxBus)</highlight></codeline>
<codeline lineno="338"><highlight class="normal">{</highlight></codeline>
<codeline lineno="339"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gae6c8c534d15ba72d74dc23b384a28bf0">CY_ASSERT_L2</ref>(CY_GPIO_IS_AMUX_SPLIT_VALID(switchCtrl));</highlight></codeline>
<codeline lineno="340"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_GPIO_IS_AMUX_SELECT_VALID(amuxBus));</highlight></codeline>
<codeline lineno="341"><highlight class="normal" /></codeline>
<codeline lineno="342"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />retVal;</highlight></codeline>
<codeline lineno="343"><highlight class="normal" /></codeline>
<codeline lineno="344"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(amuxBus<sp />!=<sp /><ref kindref="member" refid="group__group__gpio__enums_1ggae2449cca47330934a26281d8f3cba110abb3e9d215c8af4ed0b07feef90abc90f">CY_GPIO_AMUXBUSB</ref>)</highlight></codeline>
<codeline lineno="345"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="346"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp />HSIOM_AMUX_SPLIT_CTL(switchCtrl)<sp />&amp;<sp />GPIO_AMUXA_SPLITTER_MASK;</highlight></codeline>
<codeline lineno="347"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="348"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="349"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="350"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />retVal<sp />=<sp />((uint32_t)<sp />((HSIOM_AMUX_SPLIT_CTL(switchCtrl)<sp />&amp;<sp />GPIO_AMUXB_SPLITTER_MASK)</highlight></codeline>
<codeline lineno="351"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />&gt;&gt;<sp />HSIOM_AMUX_SPLIT_CTL_SWITCH_BB_SL_Pos));</highlight></codeline>
<codeline lineno="352"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="353"><highlight class="normal" /></codeline>
<codeline lineno="354"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__gpio__enums_1gaf794ce2cae36756be0cccfcd2c6ab077">cy_en_gpio_amuxconnect_t</ref>)<sp />retVal);</highlight></codeline>
<codeline lineno="355"><highlight class="normal">}</highlight></codeline>
<codeline lineno="356"><highlight class="normal" /></codeline>
<codeline lineno="357"><highlight class="normal" /></codeline>
<codeline lineno="358"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="359"><highlight class="normal">}</highlight></codeline>
<codeline lineno="360"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="361"><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_gpio.c" />
  </compounddef>
</doxygen>